/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eventswitch.endpoints;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;

import org.ow2.jasmine.event.beans.JasmineEventEB;

/**
 * Dispatches received JASMINe events on all outbound routes.
 * @author Loris Bouzonnet
 */
public class JasmineEventDispatcher {

    public JasmineEventEB receivedJasmineEventEB(final JasmineEventEB jasmineEventEB) {
        return jasmineEventEB;
    }

    /**
     * Unserialize a JASMINe event.
     *
     * @param msg  A serialized JASMINe event.
     *
     * @return a JASMINe event.
     */
    public JasmineEventEB receivedJasmineEventEB(final byte[] msg) throws IOException, ClassNotFoundException {
        ObjectInputStream inputStream = new ObjectInputStream(new ByteArrayInputStream(msg));
        try {
            return (JasmineEventEB) inputStream.readObject();
        } finally {
            inputStream.close();
        }
    }

}
